%define with_maven 1
%define with_mini 0
Name:          json-smart
Version:       1.0.9
Release:       %mkrel 2
Summary:       A small and very fast json parser/generator for java
Group:         Development/Java
License:       ASL 2.0
# http://www.minidev.net/ SITE EN CONSTRUCTION
Url:           http://code.google.com/p/json-smart/

# mkdir -p json-smart-1.0.9
# cd json-smart-1.0.9
# svn co http://json-smart.googlecode.com/svn/branches/1.0.9/json-smart
# svn co http://json-smart.googlecode.com/svn/branches/1.0.9/json-smart-mini
# svn co http://json-smart.googlecode.com/svn/branches/1.0.9/parent
# cd ..
# tar czf json-smart-1.0.9-src-svn.tar.gz json-smart-1.0.9
Source0:       json-smart-1.0.9-src-svn.tar.gz
# git clone https://code.google.com/p/json-smart/
# cd json-smart
# git archive 1.0.9 | tar -x -C ../json-smart-1.0.9
# cd ..
# tar czf json-smart-1.0.9-src-git.tar.gz json-smart-1.0.9
#Source0:       json-smart-1.0.9-src-git.tar.gz

Source1:       json-smart-1.0.9-autogeneratedfiles.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: apache-commons-io
BuildRequires: c3p0
BuildRequires: httpcomponents-client
BuildRequires: junit4
BuildRequires: mysql-connector-java
BuildRequires: nekohtml
BuildRequires: spring3-jdbc
%if !%with_maven
BuildRequires: ant
BuildRequires: hamcrest
%else
BuildRequires: maven-ant-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4
%endif

Requires:      apache-commons-io
Requires:      c3p0
Requires:      httpcomponents-client
Requires:      mysql-connector-java
Requires:      nekohtml
Requires:      spring3-jdbc

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and generate.
It is based on a subset of the JavaScript Programming Language, Standard ECMA-262 3rd Edition
- December 1999. JSON is a text format that is completely language independent but uses
conventions that are familiar to programmers of the C-family of languages, including C, C++, C#,
Java, JavaScript, Perl, Python, and many others.
These properties make JSON an ideal data-interchange language.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavenpomdir}/JPP-%{name}-parent.pom
%{_mavendepmapfragdir}/*
%doc json-smart/ChangeLog.txt json-smart/LICENSE.txt

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%if %with_mini
%package mini
Summary:       JSON Small and Fast Parser
Group:         Development/Java
Requires:      %{name} = %version-%release

%description mini
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and generate.
It is based on a subset of the JavaScript Programming Language, Standard ECMA-262 3rd Edition
- December 1999. JSON is a text format that is completely language independent but uses
conventions that are familiar to programmers of the C-family of languages, including C, C++, C#,
Java, JavaScript, Perl, Python, and many others.
These properties make JSON an ideal data-interchange language.

This package contains %{name}-mini.

%files mini
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}-mini.pom
%doc json-smart-mini/ChangeLog.txt json-smart-mini/LICENSE.txt

#--------------------------------------------------------------------

%package mini-javadoc
Summary:       Javadocs for %{name}-mini
Group:         Development/Java
Requires:      jpackage-utils
Requires:      %{name}-mini = %version-%release

%description mini-javadoc
This package contains the API documentation for %{name}-mini.

%files mini-javadoc
%{_javadocdir}/%{name}-mini

%endif

#--------------------------------------------------------------------

%prep
%setup -q -n json-smart-%{version}

# TODO
# sonatype-oss-parent
sed -i "s|<version>7</version>|<version>6</version>|" parent/pom.xml
# maven-resources-plugin
sed -i "s|<version>2.5</version>|<version>2.4.3</version>|" parent/pom.xml
# maven-release-plugin
sed -i "s|<version>2.1</version>|<version>2.0</version>|" parent/pom.xml

%if %with_mini
 sed -i "s|<!-- <module>../json-smart-mini</module> -->|<module>../json-smart-mini</module> |" parent/pom.xml
%endif


%if !%with_maven
 tar -xf %SOURCE1
%endif

%build

%if !%with_maven
# TODO
%else
  cd parent
  mvn-rpmbuild -e \
    ant:ant install javadoc:javadoc
%endif

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 0644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom

install -pm 0644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr %{name}/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%if %with_mini
install -pm 0644 %{name}-mini/target/%{name}-mini-%{version}.jar %{buildroot}%{_javadir}/%{name}-mini.jar
install -pm 0644 %{name}-mini/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-mini.pom
%add_maven_depmap JPP-%{name}-mini.pom %{name}-mini.jar
mkdir -p %{buildroot}%{_javadocdir}/%{name}-mini
cp -pr %{name}-mini/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-mini/
%endif



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-2.mga3
+ Revision: 355626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 gil <gil> 1.0.9-1.mga2
+ Revision: 193471
- imported package json-smart

